<div bsModal #authModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title pull-left">{{authMode}}</h4>
        <button type="button" class="close pull-right" aria-label="Close" (click)="hideChildModal()">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        
        <app-login-form (onFormResult)="onLoginFormResult($event)" *ngIf="isLoginMode()"></app-login-form>
        <app-register-form (onFormResult)="onRegisterFormResult($event)" *ngIf="isRegisterMode()"></app-register-form>
        
        <span *ngIf="isLoginMode()">
          Need an account? <a (click)="authMode='register'">Click here to register.</a>
        </span>
        <span *ngIf="isRegisterMode()">
          Already have an account? <a (click)="authMode='login'">Click here to login.</a>
        </span>

      </div>
    </div>
  </div>
</div>